import {EntityRepository, Repository} from "typeorm";
import {ApplicationsIntegrationCmsEntity} from "./entities/applications-integration-cms.entity";
import {UpdateApplicationsIntegrationCmsDto} from "./dto/update-applications-integration-cms.dto";

@EntityRepository(ApplicationsIntegrationCmsEntity)
export class ApplicationsIntegrationCmsRepository extends Repository<ApplicationsIntegrationCmsEntity> {

    async createEntity(dto: UpdateApplicationsIntegrationCmsDto): Promise<ApplicationsIntegrationCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateApplicationsIntegrationCmsDto, id: string): Promise<ApplicationsIntegrationCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ApplicationsIntegrationCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}