import {Module} from "@nestjs/common";
import {TypeOrmModule} from "@nestjs/typeorm";
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {FileUploadsService} from "src/modules/file-uploads/file-uploads.service";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";
import {BenefitsAndAdvantageSectionCmsRepository} from "./benefits-and-advantage-section-cms.repository";
import {BenefitsAndAdvantageSectionCmsController} from "./benefits-and-advantage-section-cms.controller";
import {BenefitsAndAdvantageSectionCmsService} from "./benefits-and-advantage-section-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BenefitsAndAdvantageSectionCmsRepository])
    ],
    controllers: [BenefitsAndAdvantageSectionCmsController],
    providers: [BenefitsAndAdvantageSectionCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class BenefitsAndAdvantageSectionCmsModule {
}