import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {ImproveSectionCmsService} from "./improve-section-cms.service";
import {UpdateImproveSectionCmsDto} from "./dto/update-improve-section-cms.dto";

@Controller({path: "improve-section-cms", version: Constants.API_VERSION_1})

export class ImproveSectionCmsController {
    constructor(private readonly service: ImproveSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateImproveSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
