import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {HomePageHeroSectionRepository} from './home-page-hero-section.repository';
import {HomePageHeroSectionController} from './home-page-hero-section.controller';
import {HomePageHeroSectionService} from './home-page-hero-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageHeroSectionRepository])
    ],
    controllers: [HomePageHeroSectionController],
    providers: [HomePageHeroSectionService, JwtHelper]
})
export class HomePageHeroSectionModule {
}
