import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {PaymentPackageRepository} from './payment-package.repository';
import {PaymentPackageController} from './payment-package.controller';
import {PaymentPackageService} from './payment-package.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PaymentPackageRepository])
    ],
    controllers: [PaymentPackageController],
    providers: [PaymentPackageService, JwtHelper]
})
export class PaymentPackageModule {
}
