import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ScheduleTransactionLimitRepository} from './schedule-transaction-limit.repository';
import {ScheduleTransactionLimitController} from './schedule-transaction-limit.controller';
import {ScheduleTransactionLimitService} from './schedule-transaction-limit.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ScheduleTransactionLimitRepository])
    ],
    controllers: [ScheduleTransactionLimitController],
    providers: [ScheduleTransactionLimitService, JwtHelper]
})
export class ScheduleTransactionLimitModule {
}
