import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {SubscriptionModelRepository} from './subscription-model.repository';
import {SubscriptionModelController} from './subscription-model.controller';
import {SubscriptionModelService} from './subscription-model.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SubscriptionModelRepository])
    ],
    controllers: [SubscriptionModelController],
    providers: [SubscriptionModelService, JwtHelper]
})
export class SubscriptionModelModule {
}
