import { Body, Controller, HttpCode, Param, Post, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AuthGuard } from "../../core/guards/auth.guard";
import { MessageService } from './message.service';
import { NotificationMessageDto } from "./dto/notification-message.dto";

@Controller({ path: 'message', version: Constants.API_VERSION_1 })
export class MessageController {
    constructor(private readonly service: MessageService) {  }

    @HttpCode(200)
    @Post('get-notification-message')
    @UseGuards(AuthGuard)
    findNotificationsByUserId(@Body() dto: NotificationMessageDto) {
        return this.service.findNotificationsMessageByUserId(dto);
    }
}
