import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { LogsRepository } from './logs.repository';
import { LogsController } from './logs.controller';
import { LogsService } from './logs.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersRepository } from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository, LogsRepository]),
    ],
    controllers: [LogsController],
    providers: [LogsService, JwtHelper]
})
export class LogsModule {
}
